DCMTK: DSRBasicCodedEntry Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DSRBasicCodedEntry Class Reference

Class for storing the "Basic Coded Entry Attributes". More...

## Public Member Functions
| DSRBasicCodedEntry (const OFString &codeValue, const OFString &codingSchemeDesignator, const OFString &codeMeaning, const DSRTypes::E_CodeValueType codeValueType=DSRTypes::CVT_Short)
| constructor.
| DSRBasicCodedEntry (const OFString &codeValue, const OFString &codingSchemeDesignator, const OFString &codingSchemeVersion, const OFString &codeMeaning, const DSRTypes::E_CodeValueType codeValueType=DSRTypes::CVT_Short)
| constructor.

## Public Attributes
const DSRTypes::E_CodeValueType | CodeValueType
| type of 'CodeValue': short (SH), long (UC) or Uniform Resource Name (UR)
const OFString | CodeValue
| Code Value (VR=SH/UC/UR, type 1)
const OFString | CodingSchemeDesignator
| Coding Scheme Designator (VR=SH, type 1C)
const OFString | CodingSchemeVersion
| Coding Scheme Version (VR=SH, type 1C)
const OFString | CodeMeaning
| Code Meaning (VR=LO, type 1)

## Detailed Description

Class for storing the "Basic Coded Entry Attributes".

This class should be used to define code constants since it is a lightweight structure that does not carry any overhead and also does not perform any unnecessary checks on the data passed to it. Furthermore, the individual values cannot be modified after an instance of this class has been constructed. Therefore, the members can be accessed publicly.

## Constructor & Destructor Documentation

## ◆ DSRBasicCodedEntry() [1/2]

DSRBasicCodedEntry::DSRBasicCodedEntry | ( | const OFString & | codeValue,
|  | const OFString & | codingSchemeDesignator,
|  | const OFString & | codeMeaning,
|  | const DSRTypes::E_CodeValueType | codeValueType = DSRTypes::CVT_Short )

constructor.

To be used when the code to be set consists of three values (code value, coding scheme designator and code meaning).

Parameters

  codeValue | identifier of the code to be set that is unambiguous within the coding scheme. (VR=SH/UC/UR, mandatory)
  codingSchemeDesignator | identifier of the coding scheme in which the code for a term is defined. (VR=SH, conditional)
  codeMeaning | human-readable translation of the 'codeValue'. Can be used for display when code dictionary is not available. (VR=LO, mandatory)
  codeValueType | type of 'codeValue' (short, long or URN) used to map the value to the correct DICOM value representation (VR). The default value is the one most often used (DSRTypes::CVT_Short).

References DSRTypes::CVT_Short.

## ◆ DSRBasicCodedEntry() [2/2]

DSRBasicCodedEntry::DSRBasicCodedEntry | ( | const OFString & | codeValue,
|  | const OFString & | codingSchemeDesignator,
|  | const OFString & | codingSchemeVersion,
|  | const OFString & | codeMeaning,
|  | const DSRTypes::E_CodeValueType | codeValueType = DSRTypes::CVT_Short )

constructor.

To be used when the code to be set consists of four values (code value, coding scheme designator, coding scheme version and code meaning).

Parameters

  codeValue | identifier of the code to be set that is unambiguous within the coding scheme. (VR=SH/UC/UR, mandatory)
  codingSchemeDesignator | identifier of the coding scheme in which the code for a term is defined. (VR=SH, conditional)
  codingSchemeVersion | version of the coding scheme. May be used to identify the version of a coding scheme if necessary to resolve ambiguity in the 'codeValue' or 'codeMeaning'. (VR=SH, optional)
  codeMeaning | human-readable translation of the 'codeValue'. Can be used for display when code dictionary is not available. (VR=LO, mandatory)
  codeValueType | type of 'codeValue' (short, long or URN) used to map the value to the correct DICOM value representation (VR). The default value is the one most often used (DSRTypes::CVT_Short).

References DSRTypes::CVT_Short.

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrcodvl.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2